# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['lkops', 'lkops.conn', 'lkops.encode', 'lkops.tools', 'lkops.utils']

package_data = \
{'': ['*'],
 'lkops': ['.git/*',
           '.git/hooks/*',
           '.git/info/*',
           '.git/logs/*',
           '.git/logs/refs/heads/*',
           '.git/logs/refs/remotes/origin/*',
           '.git/objects/01/*',
           '.git/objects/02/*',
           '.git/objects/07/*',
           '.git/objects/09/*',
           '.git/objects/0a/*',
           '.git/objects/0c/*',
           '.git/objects/0d/*',
           '.git/objects/0e/*',
           '.git/objects/12/*',
           '.git/objects/13/*',
           '.git/objects/16/*',
           '.git/objects/17/*',
           '.git/objects/1d/*',
           '.git/objects/1e/*',
           '.git/objects/1f/*',
           '.git/objects/20/*',
           '.git/objects/26/*',
           '.git/objects/27/*',
           '.git/objects/2c/*',
           '.git/objects/2d/*',
           '.git/objects/2e/*',
           '.git/objects/2f/*',
           '.git/objects/31/*',
           '.git/objects/32/*',
           '.git/objects/36/*',
           '.git/objects/39/*',
           '.git/objects/3a/*',
           '.git/objects/3b/*',
           '.git/objects/3c/*',
           '.git/objects/41/*',
           '.git/objects/42/*',
           '.git/objects/46/*',
           '.git/objects/4b/*',
           '.git/objects/4d/*',
           '.git/objects/54/*',
           '.git/objects/59/*',
           '.git/objects/5f/*',
           '.git/objects/60/*',
           '.git/objects/63/*',
           '.git/objects/64/*',
           '.git/objects/65/*',
           '.git/objects/66/*',
           '.git/objects/69/*',
           '.git/objects/6b/*',
           '.git/objects/77/*',
           '.git/objects/7a/*',
           '.git/objects/80/*',
           '.git/objects/84/*',
           '.git/objects/85/*',
           '.git/objects/87/*',
           '.git/objects/8d/*',
           '.git/objects/8e/*',
           '.git/objects/91/*',
           '.git/objects/92/*',
           '.git/objects/95/*',
           '.git/objects/99/*',
           '.git/objects/9a/*',
           '.git/objects/9b/*',
           '.git/objects/9e/*',
           '.git/objects/a0/*',
           '.git/objects/a3/*',
           '.git/objects/a4/*',
           '.git/objects/a6/*',
           '.git/objects/ac/*',
           '.git/objects/af/*',
           '.git/objects/b0/*',
           '.git/objects/b6/*',
           '.git/objects/b9/*',
           '.git/objects/ba/*',
           '.git/objects/c1/*',
           '.git/objects/c3/*',
           '.git/objects/c9/*',
           '.git/objects/ca/*',
           '.git/objects/cc/*',
           '.git/objects/cf/*',
           '.git/objects/d0/*',
           '.git/objects/d2/*',
           '.git/objects/d3/*',
           '.git/objects/d5/*',
           '.git/objects/d6/*',
           '.git/objects/d8/*',
           '.git/objects/df/*',
           '.git/objects/e2/*',
           '.git/objects/e5/*',
           '.git/objects/e6/*',
           '.git/objects/eb/*',
           '.git/objects/ee/*',
           '.git/objects/f3/*',
           '.git/objects/f5/*',
           '.git/objects/f6/*',
           '.git/objects/f8/*',
           '.git/objects/f9/*',
           '.git/objects/fc/*',
           '.git/refs/heads/*',
           '.git/refs/remotes/origin/*']}

install_requires = \
['loguru>=0.6.0,<0.7.0', 'numpy>=1.24.1,<2.0.0']

setup_kwargs = {
    'name': 'lkops',
    'version': '0.1.0',
    'description': 'Easy ops.',
    'long_description': '# lk_ops\n\n## statement\n\n- The implementation of some open source **operators**, **modules** and **losses** is based on the principle of out of the box. \n\n- Each implementation should be attached with **application examples**, **sources** and **general principle descriptions**.\n\n## structure\n\n- conn\n  - _redis.py: redis连接池示例\n  - _mysql.py: \n    1. mysql单连接，查询，插入，更新，执行\n    2. mysql连接池 执行\n  - _neo4j.py: neo4j连接，执行cypher\n- encode\n  - relative_position_representation.py: torch相对位置编码\n- tools\n  - _threadpool.py: 线程池，异步机制\n  - _count_neo4j.py: 图谱数据统计\n  - _ecg_api_count.py: ecg调用统计\n  - _export_kg_data_to_yml.py:: 导出图谱食材食谱数据到yml\n  - modules.py: 计时装饰器, json number Encoder\n- utils\n  - Logger.py: devops logger配置\n\n\n## Records\n2022.11.07 14:03 update Logger.py\n2022.11.09 17:52 定时任务\n2022年12月26日18:14:01 更新发布方式\n2022年12月27日18:15:31 poetry 测试\n\n## release\n### pypi auth\n\nu: ticoAg\n\np: 19990523ONLY\n\n### release command\n1. 修改版本号\n2. 执行\n```shell\npython setup.py bdist_wheel sdist\ntwine upload dist/* --verbose\n```\n\n\n注：具体用到的tool依赖需要在实际项目中声明安装，处于精简考虑 发布的lkops不做任何依赖绑定',
    'author': 'songhaoyanga',
    'author_email': '1627635056@qq.com',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'None',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.8,<4.0',
}


setup(**setup_kwargs)
